from PIL import Image

PATH = 'data/pingvini.jpeg'

with Image.open(PATH) as img:
    print('Rezolucija slike je:', img.size)
    img.show()

    # Za crop-ovanje koristimo funkciju:
    # img.crop( x0, y0, x1, y1 )
    # koja iseca pravougaonik x0 -> x1 na horizontali i
    #                         y0 -> y1 na vertikali

    # (0, 0) je gornji levi ugao
    # (1920, 1280) je donji desni ugao
    # img.crop((0, 0, 100, 100)).show() 

    # Zadatak 1) "Iseci" levog pingvina (pticu)
    # Prvi pokusaj: drugu osu ne diramo dok biramo koordinate
    #img.crop((500, 0, 1000, 1280)).show()
    #img.crop((400, 0, 800, 1280)).show()
    #img.crop((370, 0, 750, 1280)).show()
    #img.crop((380, 0, 760, 1280)).show() - odabrane dimenzije po Ox osi

    #img.crop((380, 250, 760, 1000)).show()
    #img.crop((380, 270, 760, 1000)).show()
    #img.crop((380, 280, 760, 1010)).show()
    img.crop((380, 280, 760, 1050)).show()

    # Zadatak 2) "Iseci" desnog pingvina
    # img.crop((800, 0, 1200, 1280)).show()
    # img.crop((1100, 0, 1500, 1280)).show()
    # img.crop((1100, 0, 1700, 1280)).show() - odabrane su odgovarajuce Ox dimenzije

    #img.crop((1100, 500, 1700, 1200)).show()
    #img.crop((1100, 420, 1700, 1200)).show()
    img.crop((1100, 440, 1700, 1200)).show()
